Debian Bug report logs - #672520
syslinux-common: spins on boot, never shows the boot menu

version graph

Package: syslinux-common; Maintainer for syslinux-common is Daniel Baumann <mail@daniel-baumann.ch>; Source for syslinux-common is src:syslinux.

Reported by: Julien Cristau <jcristau@debian.org>

Date: Fri, 11 May 2012 18:21:02 UTC

Severity: grave

Tags: d-i

Found in version syslinux/2:4.05+dfsg-3

Fixed in version syslinux/2:4.05+dfsg-4

Done: Daniel Baumann <daniel.baumann@progress-technologies.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-boot@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#672520; Package syslinux-common. (Fri, 11 May 2012 18:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
New Bug report received and forwarded. Copy sent to debian-boot@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>. (Fri, 11 May 2012 18:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: syslinux-common: spins on boot, never shows the boot menu
Date: Fri, 11 May 2012 20:19:36 +0200
[Message part 1 (text/plain, inline)]
Package: syslinux-common
Version: 2:4.05+dfsg-3
Severity: grave
Tags: d-i
Justification: renders package unusable

Steps to reproduce:
- in a d-i checkout, run "make -C build build_netboot"
- boot the resulting build/dest/netboot/mini.iso

With 2:4.05+dfsg-2 I get the expected boot menu.  With -3 nothing
happens, with the CPU apparently spinning without making progress.  This
badly affects the d-i dailies.

Cheers,
Julien

-- System Information:
Debian Release: wheezy/sid
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'proposed-updates'), (500, 'unstable'), (500, 'testing'), (500, 'stable'), (101, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

syslinux-common depends on no packages.

Versions of packages syslinux-common recommends:
ii  libcrypt-passwdmd5-perl    1.3-10
ii  perl [libdigest-sha-perl]  5.14.2-10

syslinux-common suggests no packages.

-- no debconf information
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#672520; Package syslinux-common. (Fri, 11 May 2012 18:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tokarev <mjt@tls.msk.ru>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Fri, 11 May 2012 18:57:04 GMT) Full text and rfc822 format available.

Message #10 received at 672520@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: Julien Cristau <jcristau@debian.org>, 672520@bugs.debian.org
Cc: "H. Peter Anvin" <hpa@zytor.com>
Subject: Re: Bug#672520: syslinux-common: spins on boot, never shows the boot menu
Date: Fri, 11 May 2012 22:54:55 +0400
On 11.05.2012 22:19, Julien Cristau wrote:
> Package: syslinux-common
> Version: 2:4.05+dfsg-3
> Severity: grave
> Tags: d-i
> Justification: renders package unusable
> 
> Steps to reproduce:
> - in a d-i checkout, run "make -C build build_netboot"
> - boot the resulting build/dest/netboot/mini.iso
> 
> With 2:4.05+dfsg-2 I get the expected boot menu.  With -3 nothing
> happens, with the CPU apparently spinning without making progress.  This
> badly affects the d-i dailies.

This happens when syslinux is compiled using gcc-4.7.
The same code compiled using 4.6 works fine.  4.7 produces
non-working pxelinux and regular ldlinux.  When pxelinux.0
is run inside qemu-kvm virtual machine, i see the following:

...
!PXE entry point found (we hope) at 9BE2:0456 via plan A
UNDI code segment at 9BE2 len 08A8
UNDI data segment at 9C6D len 2D28
Getting cached packet  01 02 03
My IP address seems to be C0A8583C 192.168.88.60
ip=192.168.88.60:192.168.88.4:192.168.88.4:255.255.255.0
BOOTIF=01-52-54-00-12-34-56
SYSUUID=00000000-0000-0000-0000-000000000000
TFTP prefix:
Trying to load: pxelinux.cfg/default                                ok
_

And the machine stays at this place eating 100% CPU -
most of the time.  Sometimes qemu-kvm produces the
following:

KVM internal error. Suberror: 1
emulation failure
EAX=00016b40 EBX=00016b40 ECX=00000000 EDX=00016b30
ESI=00015e30 EDI=00016b40 EBP=c006fd4c ESP=00000002
EIP=00000008 EFL=00000007 [-----PC] CPL=0 II=0 A20=1 SMM=0 HLT=0
ES =9c6d 0009c6d0 ffffffff 00809300
CS =0000 00000000 ffffffff 00809b00
SS =9c6d 0009c6d0 ffffffff 00809300
DS =9c6d 0009c6d0 ffffffff 00809300
FS =9c6d 0009c6d0 ffffffff 00809300
GS =9c6d 0009c6d0 ffffffff 00809300
LDT=0000 00000000 0000ffff 00000000
TR =0008 00000580 00000067 00008b00
GDT=     0009c730 00000037
IDT=     00000000 0000ffff
CR0=00000010 CR2=00000000 CR3=00000000 CR4=00000000
DR0=0000000000000000 DR1=0000000000000000 DR2=0000000000000000 DR3=0000000000000000
DR6=00000000ffff0ff0 DR7=0000000000000400
EFER=0000000000000000
Code=00 00 00 00 00 00 00 00 <ff> ff ff 80 00 00 00 00 02 00 00 00 51 c2 16 00 00 00 00 00 00 00 00 40 00 00 00 00 02 00 00 00 42 bf 16 00 00 00 00 00 f0 90

FWIW.

Thanks,

/mjt




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#672520; Package syslinux-common. (Fri, 11 May 2012 19:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Fri, 11 May 2012 19:09:05 GMT) Full text and rfc822 format available.

Message #15 received at 672520@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Michael Tokarev <mjt@tls.msk.ru>
Cc: 672520@bugs.debian.org
Subject: Re: Bug#672520: syslinux-common: spins on boot, never shows the boot menu
Date: Fri, 11 May 2012 21:10:13 +0200
On 05/11/2012 08:54 PM, Michael Tokarev wrote:
> This happens when syslinux is compiled using gcc-4.7.
> The same code compiled using 4.6 works fine.  4.7 produces
> non-working pxelinux and regular ldlinux.

thanks. i'll try reproducing it later, and possibly enforce gcc-4.6 for
the time being.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#672520; Package syslinux-common. (Fri, 11 May 2012 19:45:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to "H. Peter Anvin" <hpa@zytor.com>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Fri, 11 May 2012 19:45:12 GMT) Full text and rfc822 format available.

Message #20 received at 672520@bugs.debian.org (full text, mbox):

From: "H. Peter Anvin" <hpa@zytor.com>
To: Michael Tokarev <mjt@tls.msk.ru>, Julien Cristau <jcristau@debian.org>, 672520@bugs.debian.org
Subject: Re: Bug#672520: syslinux-common: spins on boot, never shows the boot menu
Date: Fri, 11 May 2012 13:56:13 -0500
Interesting... I will need to look into this unless you want to...

Michael Tokarev <mjt@tls.msk.ru> wrote:

>On 11.05.2012 22:19, Julien Cristau wrote:
>> Package: syslinux-common
>> Version: 2:4.05+dfsg-3
>> Severity: grave
>> Tags: d-i
>> Justification: renders package unusable
>> 
>> Steps to reproduce:
>> - in a d-i checkout, run "make -C build build_netboot"
>> - boot the resulting build/dest/netboot/mini.iso
>> 
>> With 2:4.05+dfsg-2 I get the expected boot menu.  With -3 nothing
>> happens, with the CPU apparently spinning without making progress. 
>This
>> badly affects the d-i dailies.
>
>This happens when syslinux is compiled using gcc-4.7.
>The same code compiled using 4.6 works fine.  4.7 produces
>non-working pxelinux and regular ldlinux.  When pxelinux.0
>is run inside qemu-kvm virtual machine, i see the following:
>
>...
>!PXE entry point found (we hope) at 9BE2:0456 via plan A
>UNDI code segment at 9BE2 len 08A8
>UNDI data segment at 9C6D len 2D28
>Getting cached packet  01 02 03
>My IP address seems to be C0A8583C 192.168.88.60
>ip=192.168.88.60:192.168.88.4:192.168.88.4:255.255.255.0
>BOOTIF=01-52-54-00-12-34-56
>SYSUUID=00000000-0000-0000-0000-000000000000
>TFTP prefix:
>Trying to load: pxelinux.cfg/default                                ok
>_
>
>And the machine stays at this place eating 100% CPU -
>most of the time.  Sometimes qemu-kvm produces the
>following:
>
>KVM internal error. Suberror: 1
>emulation failure
>EAX=00016b40 EBX=00016b40 ECX=00000000 EDX=00016b30
>ESI=00015e30 EDI=00016b40 EBP=c006fd4c ESP=00000002
>EIP=00000008 EFL=00000007 [-----PC] CPL=0 II=0 A20=1 SMM=0 HLT=0
>ES =9c6d 0009c6d0 ffffffff 00809300
>CS =0000 00000000 ffffffff 00809b00
>SS =9c6d 0009c6d0 ffffffff 00809300
>DS =9c6d 0009c6d0 ffffffff 00809300
>FS =9c6d 0009c6d0 ffffffff 00809300
>GS =9c6d 0009c6d0 ffffffff 00809300
>LDT=0000 00000000 0000ffff 00000000
>TR =0008 00000580 00000067 00008b00
>GDT=     0009c730 00000037
>IDT=     00000000 0000ffff
>CR0=00000010 CR2=00000000 CR3=00000000 CR4=00000000
>DR0=0000000000000000 DR1=0000000000000000 DR2=0000000000000000
>DR3=0000000000000000
>DR6=00000000ffff0ff0 DR7=0000000000000400
>EFER=0000000000000000
>Code=00 00 00 00 00 00 00 00 <ff> ff ff 80 00 00 00 00 02 00 00 00 51
>c2 16 00 00 00 00 00 00 00 00 40 00 00 00 00 02 00 00 00 42 bf 16 00 00
>00 00 00 f0 90
>
>FWIW.
>
>Thanks,
>
>/mjt

-- 
Sent from my mobile phone. Please excuse brevity and lack of formatting.




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#672520; Package syslinux-common. (Sun, 13 May 2012 21:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "agaida@siduction.org" <agaida@siduction.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Sun, 13 May 2012 21:54:03 GMT) Full text and rfc822 format available.

Message #25 received at 672520@bugs.debian.org (full text, mbox):

From: "agaida@siduction.org" <agaida@siduction.org>
To: 672520@bugs.debian.org
Subject: workaround
Date: Sun, 13 May 2012 23:34:50 +0200
We run into the same problem. Siduction use gfxboot for the isos. Its a 
really dirty hack, but put the the gfxboot.c32 from an older package 
into the actual build solved our problem till a real solution is found.




Reply sent to Daniel Baumann <daniel.baumann@progress-technologies.net>:
You have taken responsibility. (Fri, 18 May 2012 07:42:17 GMT) Full text and rfc822 format available.

Notification sent to Julien Cristau <jcristau@debian.org>:
Bug acknowledged by developer. (Fri, 18 May 2012 07:42:17 GMT) Full text and rfc822 format available.

Message #30 received at 672520-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 672520-close@bugs.debian.org
Subject: Bug#672520: fixed in syslinux 2:4.05+dfsg-4
Date: Fri, 18 May 2012 07:34:46 +0000
Source: syslinux
Source-Version: 2:4.05+dfsg-4

We believe that the bug you reported is fixed in the latest version of
syslinux, which is due to be installed in the Debian FTP archive:

extlinux_4.05+dfsg-4_i386.deb
  to main/s/syslinux/extlinux_4.05+dfsg-4_i386.deb
syslinux-common_4.05+dfsg-4_all.deb
  to main/s/syslinux/syslinux-common_4.05+dfsg-4_all.deb
syslinux-udeb_4.05+dfsg-4_i386.udeb
  to main/s/syslinux/syslinux-udeb_4.05+dfsg-4_i386.udeb
syslinux_4.05+dfsg-4.debian.tar.gz
  to main/s/syslinux/syslinux_4.05+dfsg-4.debian.tar.gz
syslinux_4.05+dfsg-4.dsc
  to main/s/syslinux/syslinux_4.05+dfsg-4.dsc
syslinux_4.05+dfsg-4_i386.deb
  to main/s/syslinux/syslinux_4.05+dfsg-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 672520@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel.baumann@progress-technologies.net> (supplier of updated syslinux package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 18 May 2012 09:11:09 +0200
Source: syslinux
Binary: syslinux syslinux-udeb extlinux syslinux-common
Architecture: source i386 all
Version: 2:4.05+dfsg-4
Distribution: unstable
Urgency: low
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Changed-By: Daniel Baumann <daniel.baumann@progress-technologies.net>
Description: 
 extlinux   - collection of boot loaders (ext2/3/4 and btrfs bootloader)
 syslinux   - collection of boot loaders
 syslinux-common - collection of boot loaders (common files)
 syslinux-udeb - collection of boot loaders (udeb)
Closes: 672380 672520
Changes: 
 syslinux (2:4.05+dfsg-4) unstable; urgency=low
 .
   * Updating compression handling for udeb with newer debhelper.
   * Build-depending on gcc-4.6 for the time being in order to avoid
     miscompiling default gcc-4.7 (Closes: #672520).
   * Removing bootloader configuration files for extlinux in postrm when
     purging package (Closes: #672380).
Checksums-Sha1: 
 fcfd6b6ba89f00b901d4b9775384c71de5cfe138 1407 syslinux_4.05+dfsg-4.dsc
 824b4cbec1b8e71dcfa407a017754b66940db082 36231 syslinux_4.05+dfsg-4.debian.tar.gz
 f5bc50b8ace6040e585a0d9afdeaacd2196def6c 100546 syslinux_4.05+dfsg-4_i386.deb
 413c09b0babf0f4a930bfb5c682a4914a069a6fe 42228 syslinux-udeb_4.05+dfsg-4_i386.udeb
 b0a5a7eabcede6a4a24c25cd6965656914974362 120004 extlinux_4.05+dfsg-4_i386.deb
 e4b6cf981555c44a555e1d5ee13d1b54f2fd660b 1541016 syslinux-common_4.05+dfsg-4_all.deb
Checksums-Sha256: 
 0f5bc7f596fbf2b50906112a2e0aaa08df77d43be77727b78be06891cae74f2d 1407 syslinux_4.05+dfsg-4.dsc
 41cb5abe120e7c47939dc5c907f36d7043a3c2669f7a44cbc9290a2f8b315d07 36231 syslinux_4.05+dfsg-4.debian.tar.gz
 1a9082ad0e0e18774c57d4585d9bfbb621c4b88ce8c5eff61524b91a77355f96 100546 syslinux_4.05+dfsg-4_i386.deb
 9bc87d2e5c191805919014ca7d918e60bab4208ce87186d5feaabd2421d6d1ce 42228 syslinux-udeb_4.05+dfsg-4_i386.udeb
 251d80d0412c38888ac32e096549a18297c60995b95cf68683638aec2992f21c 120004 extlinux_4.05+dfsg-4_i386.deb
 44a6615989e61deb8ae309459f0edc23d0ba2af3d1b85acb6ec4621df765f89f 1541016 syslinux-common_4.05+dfsg-4_all.deb
Files: 
 b28edff2d883ed257aae02531b6c2de9 1407 utils optional syslinux_4.05+dfsg-4.dsc
 77152d481319e164cf529da84719b266 36231 utils optional syslinux_4.05+dfsg-4.debian.tar.gz
 9d6bd4bf130aaa678f25b6425916a9c2 100546 utils optional syslinux_4.05+dfsg-4_i386.deb
 95444ed367bfd9091d4117b8bc43b75b 42228 debian-installer optional syslinux-udeb_4.05+dfsg-4_i386.udeb
 fa27aa4ee6022c2f7037267c7b81bcf7 120004 utils optional extlinux_4.05+dfsg-4_i386.deb
 d18341cb5b879e8e2aaa0007afeaed9a 1541016 utils optional syslinux-common_4.05+dfsg-4_all.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk+1+YoACgkQ+C5cwEsrK57sQACfVgpJ+sbPEtOtZVpKKmbifbmY
CJAAoKW+fKSojTnzQx4/NozMQG7JtmIZ
=KCF8
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 16 Jun 2012 07:36:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:35:44 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.